Package fr.gouv.vitam.worker.core.plugin.probativevalue.pojo

# Class OperationTraceabilityFiles

java.lang.Object
fr.gouv.vitam.worker.core.plugin.probativevalue.pojo.OperationTraceabilityFiles

public class OperationTraceabilityFiles extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `OperationTraceabilityFiles.OperationTraceabilityFilesBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TRACEABILITY_ADDITIONAL_INFORMATION`
  `static final String`
  `TRACEABILITY_COMPUTING_INFORMATION`
  `static final String`
  `TRACEABILITY_DATA`
  `static final String`
  `TRACEABILITY_FILES_COMPLETE`
  `static final String`
  `TRACEABILITY_GENERAL_CHECKS`
  `static final String`
  `TRACEABILITY_GENERAL_CHECKS_COMPLETE`
  `static final String`
  `TRACEABILITY_MERKLE_TREE`
  `static final String`
  `TRACEABILITY_TOKEN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OperationTraceabilityFiles(File data, File merkleTree, File token, File computingInformation, File additionalInformation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getAdditionalInformation()`
  `File`
  `getComputingInformation()`
  `File`
  `getData()`
  `File`
  `getMerkleTree()`
  `File`
  `getToken()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRACEABILITY_DATA

    public static final String TRACEABILITY_DATA
    See Also:
      - Constant Field Values

  - ### TRACEABILITY_MERKLE_TREE

    public static final String TRACEABILITY_MERKLE_TREE
    See Also:
      - Constant Field Values

  - ### TRACEABILITY_TOKEN

    public static final String TRACEABILITY_TOKEN
    See Also:
      - Constant Field Values

  - ### TRACEABILITY_COMPUTING_INFORMATION

    public static final String TRACEABILITY_COMPUTING_INFORMATION
    See Also:
      - Constant Field Values

  - ### TRACEABILITY_ADDITIONAL_INFORMATION

    public static final String TRACEABILITY_ADDITIONAL_INFORMATION
    See Also:
      - Constant Field Values

  - ### TRACEABILITY_FILES_COMPLETE

    public static final String TRACEABILITY_FILES_COMPLETE
    See Also:
      - Constant Field Values

  - ### TRACEABILITY_GENERAL_CHECKS_COMPLETE

    public static final String TRACEABILITY_GENERAL_CHECKS_COMPLETE
    See Also:
      - Constant Field Values

  - ### TRACEABILITY_GENERAL_CHECKS

    public static final String TRACEABILITY_GENERAL_CHECKS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OperationTraceabilityFiles

    public OperationTraceabilityFiles(File data, File merkleTree, File token, File computingInformation, File additionalInformation)

- ## Method Details

  - ### getData

    public File getData()

  - ### getMerkleTree

    public File getMerkleTree()

  - ### getToken

    public File getToken()

  - ### getComputingInformation

    public File getComputingInformation()

  - ### getAdditionalInformation

    public File getAdditionalInformation()